<?php 
class EvDiscountSchema extends CakeSchema {

	public function before($event = array()) {
		return true;
	}

	public function after($event = array()) {
	}

	public $ev_discount_discount_types = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'primary'),
		'name' => array('type' => 'string', 'null' => false, 'default' => null, 'length' => 45, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'indexes' => array(
			'PRIMARY' => array('column' => 'id', 'unique' => 1)
		),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);

	public $ev_discount_discounts = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'primary'),
		'code' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 45, 'key' => 'unique', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'discount_type_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'index'),
		'amount' => array('type' => 'decimal', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'unsigned' => false),
		'min_order' => array('type' => 'decimal', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'unsigned' => false),
		'start_date' => array('type' => 'datetime', 'null' => true, 'default' => null),
		'end_date' => array('type' => 'datetime', 'null' => true, 'default' => null),
		'max_uses' => array('type' => 'integer', 'null' => false, 'default' => '0', 'unsigned' => false),
		'uses' => array('type' => 'integer', 'null' => false, 'default' => '0', 'unsigned' => false),
		'is_active' => array('type' => 'boolean', 'null' => false, 'default' => '1'),
		'created' => array('type' => 'datetime', 'null' => true, 'default' => null),
		'modified' => array('type' => 'datetime', 'null' => true, 'default' => null),
		'indexes' => array(
			'PRIMARY' => array('column' => 'id', 'unique' => 1),
			'code' => array('column' => 'code', 'unique' => 1),
			'discount_type_id' => array('column' => 'discount_type_id', 'unique' => 0)
		),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
	);

	public $ev_checkout_orders = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'primary'),
		'created' => array('type' => 'datetime', 'null' => false, 'default' => null),
		'modified' => array('type' => 'datetime', 'null' => false, 'default' => null),
		'order_time' => array('type' => 'datetime', 'null' => false, 'default' => null),
		'user_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'processed_by' => array('type' => 'string', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'delivery_address_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'invoice_address_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'order_status_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'is_paid' => array('type' => 'boolean', 'null' => false, 'default' => '0'),
		'subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
		'delivery_subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
		'delivery_vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
		'delivery_total' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
		'surcharge_subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
		'surcharge_vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
		'surcharge_total' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
		'vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
		'discount_code' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 45, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'discount_total' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
		'total' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
		'items_total' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
		'is_virtual' => array('type' => 'boolean', 'null' => false, 'default' => null),
		'online_eligible' => array('type' => 'boolean', 'null' => false, 'default' => '0'),
		'delivery_method_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false),
		'collection_location_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false),
		'indexes' => array(
			'PRIMARY' => array('column' => 'id', 'unique' => 1)
		),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'MyISAM')
	);

}
